Loading...
Searching...
No Matches
l4_sched_param_t Struct Reference
Base API » Kernel Objects » Scheduler

Scheduler parameter set. More...

`#include <scheduler.h>`

Collaboration diagram for l4_sched_param_t:

## Data Fields

l4_sched_cpu_set_t | affinity
| CPU affinity.
l4_umword_t | prio
| Priority for scheduling.
l4_umword_t | quantum
| Timeslice in micro seconds.

## Detailed Description

Scheduler parameter set.

Examples
  examples/sys/aliens/main.c, examples/sys/migrate/thread_migrate.cc, examples/sys/singlestep/main.c, examples/sys/start-with-exc/main.c, and examples/sys/utcb-ipc/main.c.

Definition at line 173 of file scheduler.h.

## Field Documentation

## prio

l4_umword_t l4_sched_param_t::prio

Priority for scheduling.

The kernel supports priorities for userland threads in the range of 1..255. Priority 0 is reserved for the kernel.

Definition at line 182 of file scheduler.h.

Referenced by l4_sched_param().

The documentation for this struct was generated from the following file:

- l4/sys/scheduler.h